"use strict";
this.name	= "laser_cooler";
this.author	= "Norby";
this.copyright	= "2015 Norby";
this.description= "laser cooler";
this.licence	= "CC BY-NC-SA 4.0";


this.$Timer = null;
this.$View = null;
this.$WeaponKey = null;
this.$WeaponsOff = false;
this.$WeaponsOn = false;

//worldscript events
this.startUp = function() {
	this._cooler = false;
	if( !this.$Timer ) this.$Timer = new Timer(this, this.$Timed.bind(this), 0.25, 0.25);
}

/*{
	if( this.$Timer ) {
		this.$Timer.stop();
		delete this.$Timer;
	}
}*/

this.$Timed = function() {
	var c = "EQ_WEAPON_LASER_COOLER";
	var p = player.ship;
	if( !p.isValid ) return;
	var k = p.currentWeapon.equipmentKey;
	if( !p.weaponsOnline ) {
		if( p.equipmentStatus("EQ_LASER_COOLER") == "EQUIPMENT_OK" && !this.$WeaponKey
			&& p.laserHeatLevel > 0.6 && k != c ) {
				this.$View = p.viewDirection;
				this.$WeaponKey = k;
				this.$WeaponsOff = false;
				this.$WeaponsOn = false;
				p.currentWeapon = c;
				player.consoleMessage("Laser Cooler attached, press fire for cooling",5);
		} else if( this.$WeaponKey && this.$WeaponsOn ) this.$WeaponsOff = true;
	} else {
		this.$WeaponsOn = true;
		if( this.$WeaponKey && k == c && ( p.laserHeatLevel < 0.1 || this.$WeaponsOff )
			&& this.$View == p.viewDirection ) {
				p.currentWeapon = this.$WeaponKey;
				this.$View = null;
				this.$WeaponKey = null;
				this.$WeaponsOff = false;
				this.$WeaponsOn = false;
				player.consoleMessage("Laser Cooler detached",5);
		}
	}
}